###########################################################################
#   $Id: snmp.conf,v 1.10 2009/06/06 00:45:01 maxbaker Exp $
#
#  Sample snmp.conf for using netdisco-mibs
#
#   Run the command 'snmpconf' for help generating a harder file
#                or 'man snmp.conf'
#
#   Usually you move this file to /usr/local/share/snmp/snmp.conf
#                              or ~/.snmp/snmp.conf
#
#  Netdisco users : You can get away without doing this step, this just
#                   makes sure you don't have any versions of these mibs
#                   in a system directory that is overriding our versions.
###########################################################################

# Your community string (only for non-netdisco use of the mibs)
#defcommunity          public

# Your SNMP Version (1|2c|3)  (ditto)
#defversion            2c

# Change /usr/pkg/netdisco to the directory you installed netdisco-mibs into
#        if using outside of netdisco.
mibdirs /usr/pkg/netdisco/mibs/allied:/usr/pkg/netdisco/mibs/arista:/usr/pkg/netdisco/mibs/aruba:/usr/pkg/netdisco/mibs/asante:/usr/pkg/netdisco/mibs/cabletron:/usr/pkg/netdisco/mibs/cisco:/usr/pkg/netdisco/mibs/cyclades:/usr/pkg/netdisco/mibs/dell:/usr/pkg/netdisco/mibs/enterasys /usr/pkg/netdisco/mibs/extreme:/usr/pkg/netdisco/mibs/foundry:/usr/pkg/netdisco/mibs/hp:/usr/pkg/netdisco/mibs/juniper:/usr/pkg/netdisco/mibs/net-snmp:/usr/pkg/netdisco/mibs/netscreen:/usr/pkg/netdisco/mibs/nortel:/usr/pkg/netdisco/mibs/rfc
# ^^ Remove the vendors you won't be using to save memory/time
#       You always need rfc and cisco

# Note 'mibdirs' seemed to be not working on Net-SNMP 5.0.6, other versions may be affected.
# To fix, comment out the above line and do this instead:
#   (assuming this directory is /usr/pkg/netdisco/mibs)
#
#       cd /usr/local/share/snmp
#       mv mibs mibs.old
#       mkdir mibs 
#       cd mibs
#       ln -s /usr/pkg/netdisco/mibs/*/* .

mibreplacewithlatest  yes
